Skip to main content
Gets an existing session object with all its attributes from the server.

Syntax

Parameters

xblContext   _In_
Type: XblContextHandle
XBOX live context for the local user. sessionReference   _In_
Type: XblMultiplayerSessionReference*
A XblMultiplayerSessionReference object containing identifying information for the session. async   _In_
Type: XAsyncBlock*
The AsyncBlock for this operation.

Return value

Type: HRESULT HRESULT return code for this API operation.

REST Call

Calls V102 GET /serviceconfigs/{serviceConfigurationId}/sessionTemplates/{sessiontemplateName}/sessions/{sessionName}

Requirements

Header: multiplayer_c.h Library: Microsoft.Xbox.Services.142.C.lib or Microsoft.Xbox.Services.143.C.lib

See also

multiplayer_c
Last modified on October 29, 2026